/[svn]/ircd-hybrid-8/libltdl/Makefile.in
ViewVC logotype

Contents of /ircd-hybrid-8/libltdl/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1504 - (show annotations)
Thu Aug 16 18:03:00 2012 UTC (10 years, 5 months ago) by michael
File size: 46752 byte(s)
- automake 1.12.3

1 # Makefile.in generated by automake 1.12.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2012 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #####
18
19
20 VPATH = @srcdir@
21 am__make_dryrun = \
22 { \
23 am__dry=no; \
24 case $$MAKEFLAGS in \
25 *\\[\ \ ]*) \
26 echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
27 | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
28 *) \
29 for am__flg in $$MAKEFLAGS; do \
30 case $$am__flg in \
31 *=*|--*) ;; \
32 *n*) am__dry=yes; break;; \
33 esac; \
34 done;; \
35 esac; \
36 test $$am__dry = yes; \
37 }
38 pkgdatadir = $(datadir)/@PACKAGE@
39 pkgincludedir = $(includedir)/@PACKAGE@
40 pkglibdir = $(libdir)/@PACKAGE@
41 pkglibexecdir = $(libexecdir)/@PACKAGE@
42 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
43 install_sh_DATA = $(install_sh) -c -m 644
44 install_sh_PROGRAM = $(install_sh) -c
45 install_sh_SCRIPT = $(install_sh) -c
46 INSTALL_HEADER = $(INSTALL_DATA)
47 transform = $(program_transform_name)
48 NORMAL_INSTALL = :
49 PRE_INSTALL = :
50 POST_INSTALL = :
51 NORMAL_UNINSTALL = :
52 PRE_UNINSTALL = :
53 POST_UNINSTALL = :
54 build_triplet = @build@
55 host_triplet = @host@
56 @INSTALL_LTDL_TRUE@am__append_1 = ltdl.h
57 @INSTALL_LTDL_TRUE@am__append_2 = libltdl.la
58 @CONVENIENCE_LTDL_TRUE@am__append_3 = libltdlc.la
59 subdir = libltdl
60 DIST_COMMON = README $(am__include_HEADERS_DIST) \
61 $(am__ltdlinclude_HEADERS_DIST) $(srcdir)/Makefile.am \
62 $(srcdir)/Makefile.in $(top_srcdir)/depcomp COPYING.LIB
63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
65 $(top_srcdir)/configure.ac
66 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
67 $(ACLOCAL_M4)
68 mkinstalldirs = $(install_sh) -d
69 CONFIG_HEADER = $(top_builddir)/config.h
70 CONFIG_CLEAN_FILES =
71 CONFIG_CLEAN_VPATH_FILES =
72 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
73 am__vpath_adj = case $$p in \
74 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
75 *) f=$$p;; \
76 esac;
77 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
78 am__install_max = 40
79 am__nobase_strip_setup = \
80 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
81 am__nobase_strip = \
82 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
83 am__nobase_list = $(am__nobase_strip_setup); \
84 for p in $$list; do echo "$$p $$p"; done | \
85 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
86 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
87 if (++n[$$2] == $(am__install_max)) \
88 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
89 END { for (dir in files) print dir, files[dir] }'
90 am__base_list = \
91 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
92 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
93 am__uninstall_files_from_dir = { \
94 test -z "$$files" \
95 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
96 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
97 $(am__cd) "$$dir" && rm -f $$files; }; \
98 }
99 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" \
100 "$(DESTDIR)$(ltdlincludedir)"
101 LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
102 dld_link_la_DEPENDENCIES =
103 am_dld_link_la_OBJECTS = dld_link.lo
104 dld_link_la_OBJECTS = $(am_dld_link_la_OBJECTS)
105 dld_link_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
106 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
107 $(dld_link_la_LDFLAGS) $(LDFLAGS) -o $@
108 am__DEPENDENCIES_1 =
109 dlopen_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
110 am_dlopen_la_OBJECTS = dlopen.lo
111 dlopen_la_OBJECTS = $(am_dlopen_la_OBJECTS)
112 dlopen_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
113 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
114 $(dlopen_la_LDFLAGS) $(LDFLAGS) -o $@
115 dyld_la_LIBADD =
116 am_dyld_la_OBJECTS = dyld.lo
117 dyld_la_OBJECTS = $(am_dyld_la_OBJECTS)
118 dyld_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
119 --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(dyld_la_LDFLAGS) \
120 $(LDFLAGS) -o $@
121 am_libltdl_la_OBJECTS = libltdl_la-preopen.lo libltdl_la-lt__alloc.lo \
122 libltdl_la-lt_dlloader.lo libltdl_la-lt_error.lo \
123 libltdl_la-ltdl.lo libltdl_la-slist.lo
124 libltdl_la_OBJECTS = $(am_libltdl_la_OBJECTS)
125 libltdl_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
126 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
127 $(libltdl_la_LDFLAGS) $(LDFLAGS) -o $@
128 @INSTALL_LTDL_TRUE@am_libltdl_la_rpath = -rpath $(libdir)
129 am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
130 am__objects_1 = libltdlc_la-preopen.lo libltdlc_la-lt__alloc.lo \
131 libltdlc_la-lt_dlloader.lo libltdlc_la-lt_error.lo \
132 libltdlc_la-ltdl.lo libltdlc_la-slist.lo
133 am_libltdlc_la_OBJECTS = $(am__objects_1)
134 libltdlc_la_OBJECTS = $(am_libltdlc_la_OBJECTS)
135 libltdlc_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
136 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
137 $(libltdlc_la_LDFLAGS) $(LDFLAGS) -o $@
138 @CONVENIENCE_LTDL_TRUE@am_libltdlc_la_rpath =
139 load_add_on_la_LIBADD =
140 am_load_add_on_la_OBJECTS = load_add_on.lo
141 load_add_on_la_OBJECTS = $(am_load_add_on_la_OBJECTS)
142 load_add_on_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
143 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
144 $(load_add_on_la_LDFLAGS) $(LDFLAGS) -o $@
145 loadlibrary_la_LIBADD =
146 am_loadlibrary_la_OBJECTS = loadlibrary.lo
147 loadlibrary_la_OBJECTS = $(am_loadlibrary_la_OBJECTS)
148 loadlibrary_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
149 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
150 $(loadlibrary_la_LDFLAGS) $(LDFLAGS) -o $@
151 shl_load_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
152 am_shl_load_la_OBJECTS = shl_load.lo
153 shl_load_la_OBJECTS = $(am_shl_load_la_OBJECTS)
154 shl_load_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
155 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
156 $(shl_load_la_LDFLAGS) $(LDFLAGS) -o $@
157 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
158 depcomp = $(SHELL) $(top_srcdir)/depcomp
159 am__depfiles_maybe = depfiles
160 am__mv = mv -f
161 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
162 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
163 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
164 --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
165 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
166 CCLD = $(CC)
167 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
168 --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
169 $(LDFLAGS) -o $@
170 SOURCES = $(dld_link_la_SOURCES) $(dlopen_la_SOURCES) \
171 $(dyld_la_SOURCES) $(libltdl_la_SOURCES) \
172 $(libltdlc_la_SOURCES) $(load_add_on_la_SOURCES) \
173 $(loadlibrary_la_SOURCES) $(shl_load_la_SOURCES)
174 DIST_SOURCES = $(dld_link_la_SOURCES) $(dlopen_la_SOURCES) \
175 $(dyld_la_SOURCES) $(libltdl_la_SOURCES) \
176 $(libltdlc_la_SOURCES) $(load_add_on_la_SOURCES) \
177 $(loadlibrary_la_SOURCES) $(shl_load_la_SOURCES)
178 am__can_run_installinfo = \
179 case $$AM_UPDATE_INFO_DIR in \
180 n|no|NO) false;; \
181 *) (install-info --version) >/dev/null 2>&1;; \
182 esac
183 am__include_HEADERS_DIST = ltdl.h
184 am__ltdlinclude_HEADERS_DIST = libltdl/lt_system.h libltdl/lt_error.h \
185 libltdl/lt_dlloader.h
186 HEADERS = $(include_HEADERS) $(ltdlinclude_HEADERS)
187 ETAGS = etags
188 CTAGS = ctags
189 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
190 ACLOCAL = @ACLOCAL@
191 AMTAR = @AMTAR@
192 AR = @AR@
193 ARGZ_H = @ARGZ_H@
194 AUTOCONF = @AUTOCONF@
195 AUTOHEADER = @AUTOHEADER@
196 AUTOMAKE = @AUTOMAKE@
197 AWK = @AWK@
198 CC = @CC@
199 CCDEPMODE = @CCDEPMODE@
200 CFLAGS = @CFLAGS@
201 CPP = @CPP@
202 CPPFLAGS = @CPPFLAGS@
203 CYGPATH_W = @CYGPATH_W@
204 DATADIR = @DATADIR@
205 DEFS = @DEFS@
206 DEPDIR = @DEPDIR@
207 DLLTOOL = @DLLTOOL@
208 DSYMUTIL = @DSYMUTIL@
209 DUMPBIN = @DUMPBIN@
210 ECHO_C = @ECHO_C@
211 ECHO_N = @ECHO_N@
212 ECHO_T = @ECHO_T@
213 EGREP = @EGREP@
214 EXEEXT = @EXEEXT@
215 FGREP = @FGREP@
216 GREP = @GREP@
217 INCLTDL = @INCLTDL@
218 INSTALL = @INSTALL@
219 INSTALL_DATA = @INSTALL_DATA@
220 INSTALL_PROGRAM = @INSTALL_PROGRAM@
221 INSTALL_SCRIPT = @INSTALL_SCRIPT@
222 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
223 LD = @LD@
224 LDFLAGS = @LDFLAGS@
225 LEX = @LEX@
226 LEXLIB = @LEXLIB@
227 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
228 LIBADD_DL = @LIBADD_DL@
229 LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
230 LIBADD_DLOPEN = @LIBADD_DLOPEN@
231 LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
232 LIBDIR = @LIBDIR@
233 LIBLTDL = @LIBLTDL@
234 LIBOBJS = @LIBOBJS@
235 LIBS = @LIBS@
236 LIBTOOL = @LIBTOOL@
237 LIPO = @LIPO@
238 LN_S = @LN_S@
239 LOCALSTATEDIR = @LOCALSTATEDIR@
240 LTDLDEPS = @LTDLDEPS@
241 LTDLINCL = @LTDLINCL@
242 LTDLOPEN = @LTDLOPEN@
243 LTLIBOBJS = @LTLIBOBJS@
244 LT_CONFIG_H = @LT_CONFIG_H@
245 LT_DLLOADERS = @LT_DLLOADERS@
246 LT_DLPREOPEN = @LT_DLPREOPEN@
247 MAINT = @MAINT@
248 MAKEINFO = @MAKEINFO@
249 MANIFEST_TOOL = @MANIFEST_TOOL@
250 MKDIR_P = @MKDIR_P@
251 NM = @NM@
252 NMEDIT = @NMEDIT@
253 OBJDUMP = @OBJDUMP@
254 OBJEXT = @OBJEXT@
255 OTOOL = @OTOOL@
256 OTOOL64 = @OTOOL64@
257 PACKAGE = @PACKAGE@
258 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
259 PACKAGE_NAME = @PACKAGE_NAME@
260 PACKAGE_STRING = @PACKAGE_STRING@
261 PACKAGE_TARNAME = @PACKAGE_TARNAME@
262 PACKAGE_URL = @PACKAGE_URL@
263 PACKAGE_VERSION = @PACKAGE_VERSION@
264 PATH_SEPARATOR = @PATH_SEPARATOR@
265 PREFIX = @PREFIX@
266 RANLIB = @RANLIB@
267 SED = @SED@
268 SET_MAKE = @SET_MAKE@
269 SHELL = @SHELL@
270 STRIP = @STRIP@
271 SYSCONFDIR = @SYSCONFDIR@
272 VERSION = @VERSION@
273 YACC = @YACC@
274 YFLAGS = @YFLAGS@
275 abs_builddir = @abs_builddir@
276 abs_srcdir = @abs_srcdir@
277 abs_top_builddir = @abs_top_builddir@
278 abs_top_srcdir = @abs_top_srcdir@
279 ac_ct_AR = @ac_ct_AR@
280 ac_ct_CC = @ac_ct_CC@
281 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
282 am__include = @am__include@
283 am__leading_dot = @am__leading_dot@
284 am__quote = @am__quote@
285 am__tar = @am__tar@
286 am__untar = @am__untar@
287 bindir = @bindir@
288 build = @build@
289 build_alias = @build_alias@
290 build_cpu = @build_cpu@
291 build_os = @build_os@
292 build_vendor = @build_vendor@
293 builddir = @builddir@
294 datadir = @datadir@
295 datarootdir = @datarootdir@
296 docdir = @docdir@
297 dvidir = @dvidir@
298 exec_prefix = @exec_prefix@
299 host = @host@
300 host_alias = @host_alias@
301 host_cpu = @host_cpu@
302 host_os = @host_os@
303 host_vendor = @host_vendor@
304 htmldir = @htmldir@
305 includedir = @includedir@
306 infodir = @infodir@
307 install_sh = @install_sh@
308 libdir = @libdir@
309 libexecdir = @libexecdir@
310 localedir = @localedir@
311 localstatedir = @localstatedir@
312 ltdl_LIBOBJS = @ltdl_LIBOBJS@
313 ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
314 mandir = @mandir@
315 mkdir_p = @mkdir_p@
316 oldincludedir = @oldincludedir@
317 pdfdir = @pdfdir@
318 prefix = @prefix@
319 program_transform_name = @program_transform_name@
320 psdir = @psdir@
321 sbindir = @sbindir@
322 sharedstatedir = @sharedstatedir@
323 srcdir = @srcdir@
324 sys_symbol_underscore = @sys_symbol_underscore@
325 sysconfdir = @sysconfdir@
326 target_alias = @target_alias@
327 top_build_prefix = @top_build_prefix@
328 top_builddir = @top_builddir@
329 top_srcdir = @top_srcdir@
330 ACLOCAL_AMFLAGS = -I m4
331 AUTOMAKE_OPTIONS = foreign
332
333 # -I$(srcdir) is needed for user that built libltdl with a sub-Automake
334 # (not as a sub-package!) using 'nostdinc':
335 AM_CPPFLAGS = -DLT_CONFIG_H='<$(LT_CONFIG_H)>' -DLTDL -I. -I$(srcdir) \
336 -Ilibltdl -I$(srcdir)/libltdl -I$(srcdir)/libltdl
337 AM_LDFLAGS = -no-undefined
338 BUILT_SOURCES = $(ARGZ_H)
339 include_HEADERS = $(am__append_1)
340 noinst_LTLIBRARIES = $(LT_DLLOADERS) $(am__append_3)
341 lib_LTLIBRARIES = $(am__append_2)
342 EXTRA_LTLIBRARIES = dlopen.la dld_link.la dyld.la load_add_on.la \
343 loadlibrary.la shl_load.la
344 EXTRA_DIST = lt__dirent.c lt__strl.c COPYING.LIB README argz_.h argz.c
345 CLEANFILES = libltdl.la libltdlc.la libdlloader.la $(ltdl_LIBOBJS) \
346 $(ltdl_LTLIBOBJS)
347 MOSTLYCLEANFILES = argz.h argz.h-t
348 LTDL_VERSION_INFO = -version-info 10:0:3
349 @INSTALL_LTDL_TRUE@ltdlincludedir = $(includedir)/libltdl
350 @INSTALL_LTDL_TRUE@ltdlinclude_HEADERS = libltdl/lt_system.h \
351 @INSTALL_LTDL_TRUE@ libltdl/lt_error.h \
352 @INSTALL_LTDL_TRUE@ libltdl/lt_dlloader.h
353
354 libltdl_la_SOURCES = libltdl/lt__alloc.h \
355 libltdl/lt__dirent.h \
356 libltdl/lt__glibc.h \
357 libltdl/lt__private.h \
358 libltdl/lt__strl.h \
359 libltdl/lt_dlloader.h \
360 libltdl/lt_error.h \
361 libltdl/lt_system.h \
362 libltdl/slist.h \
363 loaders/preopen.c \
364 lt__alloc.c \
365 lt_dlloader.c \
366 lt_error.c \
367 ltdl.c \
368 ltdl.h \
369 slist.c
370
371 libltdl_la_CPPFLAGS = -DLTDLOPEN=$(LTDLOPEN) $(AM_CPPFLAGS)
372 libltdl_la_LDFLAGS = $(AM_LDFLAGS) $(LTDL_VERSION_INFO) $(LT_DLPREOPEN)
373 libltdl_la_LIBADD = $(ltdl_LTLIBOBJS)
374 libltdl_la_DEPENDENCIES = $(LT_DLLOADERS) $(ltdl_LTLIBOBJS)
375 libltdlc_la_SOURCES = $(libltdl_la_SOURCES)
376 libltdlc_la_CPPFLAGS = -DLTDLOPEN=$(LTDLOPEN)c $(AM_CPPFLAGS)
377 libltdlc_la_LDFLAGS = $(AM_LDFLAGS) $(LT_DLPREOPEN)
378 libltdlc_la_LIBADD = $(libltdl_la_LIBADD)
379 libltdlc_la_DEPENDENCIES = $(libltdl_la_DEPENDENCIES)
380 dlopen_la_SOURCES = loaders/dlopen.c
381 dlopen_la_LDFLAGS = -module -avoid-version
382 dlopen_la_LIBADD = $(LIBADD_DLOPEN)
383 dld_link_la_SOURCES = loaders/dld_link.c
384 dld_link_la_LDFLAGS = -module -avoid-version
385 dld_link_la_LIBADD = -ldld
386 dyld_la_SOURCES = loaders/dyld.c
387 dyld_la_LDFLAGS = -module -avoid-version
388 load_add_on_la_SOURCES = loaders/load_add_on.c
389 load_add_on_la_LDFLAGS = -module -avoid-version
390 loadlibrary_la_SOURCES = loaders/loadlibrary.c
391 loadlibrary_la_LDFLAGS = -module -avoid-version
392 shl_load_la_SOURCES = loaders/shl_load.c
393 shl_load_la_LDFLAGS = -module -avoid-version
394 shl_load_la_LIBADD = $(LIBADD_SHL_LOAD)
395 all: $(BUILT_SOURCES)
396 $(MAKE) $(AM_MAKEFLAGS) all-am
397
398 .SUFFIXES:
399 .SUFFIXES: .c .lo .o .obj
400 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
401 @for dep in $?; do \
402 case '$(am__configure_deps)' in \
403 *$$dep*) \
404 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
405 && { if test -f $@; then exit 0; else break; fi; }; \
406 exit 1;; \
407 esac; \
408 done; \
409 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign libltdl/Makefile'; \
410 $(am__cd) $(top_srcdir) && \
411 $(AUTOMAKE) --foreign libltdl/Makefile
412 .PRECIOUS: Makefile
413 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
414 @case '$?' in \
415 *config.status*) \
416 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
417 *) \
418 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
419 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
420 esac;
421
422 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
423 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
424
425 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
426 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
427 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
428 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
429 $(am__aclocal_m4_deps):
430 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
431 @$(NORMAL_INSTALL)
432 @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
433 list2=; for p in $$list; do \
434 if test -f $$p; then \
435 list2="$$list2 $$p"; \
436 else :; fi; \
437 done; \
438 test -z "$$list2" || { \
439 echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
440 $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
441 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
442 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
443 }
444
445 uninstall-libLTLIBRARIES:
446 @$(NORMAL_UNINSTALL)
447 @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
448 for p in $$list; do \
449 $(am__strip_dir) \
450 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
451 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
452 done
453
454 clean-libLTLIBRARIES:
455 -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
456 @list='$(lib_LTLIBRARIES)'; \
457 locs=`for p in $$list; do echo $$p; done | \
458 sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
459 sort -u`; \
460 test -z "$$locs" || { \
461 echo rm -f $${locs}; \
462 rm -f $${locs}; \
463 }
464
465 clean-noinstLTLIBRARIES:
466 -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
467 @list='$(noinst_LTLIBRARIES)'; \
468 locs=`for p in $$list; do echo $$p; done | \
469 sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
470 sort -u`; \
471 test -z "$$locs" || { \
472 echo rm -f $${locs}; \
473 rm -f $${locs}; \
474 }
475 dld_link.la: $(dld_link_la_OBJECTS) $(dld_link_la_DEPENDENCIES) $(EXTRA_dld_link_la_DEPENDENCIES)
476 $(dld_link_la_LINK) $(dld_link_la_OBJECTS) $(dld_link_la_LIBADD) $(LIBS)
477 dlopen.la: $(dlopen_la_OBJECTS) $(dlopen_la_DEPENDENCIES) $(EXTRA_dlopen_la_DEPENDENCIES)
478 $(dlopen_la_LINK) $(dlopen_la_OBJECTS) $(dlopen_la_LIBADD) $(LIBS)
479 dyld.la: $(dyld_la_OBJECTS) $(dyld_la_DEPENDENCIES) $(EXTRA_dyld_la_DEPENDENCIES)
480 $(dyld_la_LINK) $(dyld_la_OBJECTS) $(dyld_la_LIBADD) $(LIBS)
481 libltdl.la: $(libltdl_la_OBJECTS) $(libltdl_la_DEPENDENCIES) $(EXTRA_libltdl_la_DEPENDENCIES)
482 $(libltdl_la_LINK) $(am_libltdl_la_rpath) $(libltdl_la_OBJECTS) $(libltdl_la_LIBADD) $(LIBS)
483 libltdlc.la: $(libltdlc_la_OBJECTS) $(libltdlc_la_DEPENDENCIES) $(EXTRA_libltdlc_la_DEPENDENCIES)
484 $(libltdlc_la_LINK) $(am_libltdlc_la_rpath) $(libltdlc_la_OBJECTS) $(libltdlc_la_LIBADD) $(LIBS)
485 load_add_on.la: $(load_add_on_la_OBJECTS) $(load_add_on_la_DEPENDENCIES) $(EXTRA_load_add_on_la_DEPENDENCIES)
486 $(load_add_on_la_LINK) $(load_add_on_la_OBJECTS) $(load_add_on_la_LIBADD) $(LIBS)
487 loadlibrary.la: $(loadlibrary_la_OBJECTS) $(loadlibrary_la_DEPENDENCIES) $(EXTRA_loadlibrary_la_DEPENDENCIES)
488 $(loadlibrary_la_LINK) $(loadlibrary_la_OBJECTS) $(loadlibrary_la_LIBADD) $(LIBS)
489 shl_load.la: $(shl_load_la_OBJECTS) $(shl_load_la_DEPENDENCIES) $(EXTRA_shl_load_la_DEPENDENCIES)
490 $(shl_load_la_LINK) $(shl_load_la_OBJECTS) $(shl_load_la_LIBADD) $(LIBS)
491
492 mostlyclean-compile:
493 -rm -f *.$(OBJEXT)
494
495 distclean-compile:
496 -rm -f *.tab.c
497
498 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dld_link.Plo@am__quote@
499 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dlopen.Plo@am__quote@
500 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dyld.Plo@am__quote@
501 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-lt__alloc.Plo@am__quote@
502 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-lt_dlloader.Plo@am__quote@
503 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-lt_error.Plo@am__quote@
504 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-ltdl.Plo@am__quote@
505 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-preopen.Plo@am__quote@
506 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-slist.Plo@am__quote@
507 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-lt__alloc.Plo@am__quote@
508 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-lt_dlloader.Plo@am__quote@
509 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-lt_error.Plo@am__quote@
510 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-ltdl.Plo@am__quote@
511 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-preopen.Plo@am__quote@
512 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-slist.Plo@am__quote@
513 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/load_add_on.Plo@am__quote@
514 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loadlibrary.Plo@am__quote@
515 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/shl_load.Plo@am__quote@
516
517 .c.o:
518 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
519 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
520 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
521 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
522 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
523
524 .c.obj:
525 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
526 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
527 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
528 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
529 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
530
531 .c.lo:
532 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
533 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
534 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
535 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
536 @am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $<
537
538 dld_link.lo: loaders/dld_link.c
539 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dld_link.lo -MD -MP -MF $(DEPDIR)/dld_link.Tpo -c -o dld_link.lo `test -f 'loaders/dld_link.c' || echo '$(srcdir)/'`loaders/dld_link.c
540 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/dld_link.Tpo $(DEPDIR)/dld_link.Plo
541 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/dld_link.c' object='dld_link.lo' libtool=yes @AMDEPBACKSLASH@
542 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
543 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dld_link.lo `test -f 'loaders/dld_link.c' || echo '$(srcdir)/'`loaders/dld_link.c
544
545 dlopen.lo: loaders/dlopen.c
546 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dlopen.lo -MD -MP -MF $(DEPDIR)/dlopen.Tpo -c -o dlopen.lo `test -f 'loaders/dlopen.c' || echo '$(srcdir)/'`loaders/dlopen.c
547 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/dlopen.Tpo $(DEPDIR)/dlopen.Plo
548 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/dlopen.c' object='dlopen.lo' libtool=yes @AMDEPBACKSLASH@
549 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
550 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dlopen.lo `test -f 'loaders/dlopen.c' || echo '$(srcdir)/'`loaders/dlopen.c
551
552 dyld.lo: loaders/dyld.c
553 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dyld.lo -MD -MP -MF $(DEPDIR)/dyld.Tpo -c -o dyld.lo `test -f 'loaders/dyld.c' || echo '$(srcdir)/'`loaders/dyld.c
554 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/dyld.Tpo $(DEPDIR)/dyld.Plo
555 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/dyld.c' object='dyld.lo' libtool=yes @AMDEPBACKSLASH@
556 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
557 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dyld.lo `test -f 'loaders/dyld.c' || echo '$(srcdir)/'`loaders/dyld.c
558
559 libltdl_la-preopen.lo: loaders/preopen.c
560 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-preopen.lo -MD -MP -MF $(DEPDIR)/libltdl_la-preopen.Tpo -c -o libltdl_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
561 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-preopen.Tpo $(DEPDIR)/libltdl_la-preopen.Plo
562 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/preopen.c' object='libltdl_la-preopen.lo' libtool=yes @AMDEPBACKSLASH@
563 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
564 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
565
566 libltdl_la-lt__alloc.lo: lt__alloc.c
567 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-lt__alloc.lo -MD -MP -MF $(DEPDIR)/libltdl_la-lt__alloc.Tpo -c -o libltdl_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
568 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-lt__alloc.Tpo $(DEPDIR)/libltdl_la-lt__alloc.Plo
569 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt__alloc.c' object='libltdl_la-lt__alloc.lo' libtool=yes @AMDEPBACKSLASH@
570 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
571 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
572
573 libltdl_la-lt_dlloader.lo: lt_dlloader.c
574 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-lt_dlloader.lo -MD -MP -MF $(DEPDIR)/libltdl_la-lt_dlloader.Tpo -c -o libltdl_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
575 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-lt_dlloader.Tpo $(DEPDIR)/libltdl_la-lt_dlloader.Plo
576 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt_dlloader.c' object='libltdl_la-lt_dlloader.lo' libtool=yes @AMDEPBACKSLASH@
577 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
578 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
579
580 libltdl_la-lt_error.lo: lt_error.c
581 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-lt_error.lo -MD -MP -MF $(DEPDIR)/libltdl_la-lt_error.Tpo -c -o libltdl_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
582 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-lt_error.Tpo $(DEPDIR)/libltdl_la-lt_error.Plo
583 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt_error.c' object='libltdl_la-lt_error.lo' libtool=yes @AMDEPBACKSLASH@
584 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
585 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
586
587 libltdl_la-ltdl.lo: ltdl.c
588 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-ltdl.lo -MD -MP -MF $(DEPDIR)/libltdl_la-ltdl.Tpo -c -o libltdl_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
589 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-ltdl.Tpo $(DEPDIR)/libltdl_la-ltdl.Plo
590 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='ltdl.c' object='libltdl_la-ltdl.lo' libtool=yes @AMDEPBACKSLASH@
591 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
592 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
593
594 libltdl_la-slist.lo: slist.c
595 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-slist.lo -MD -MP -MF $(DEPDIR)/libltdl_la-slist.Tpo -c -o libltdl_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
596 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-slist.Tpo $(DEPDIR)/libltdl_la-slist.Plo
597 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='slist.c' object='libltdl_la-slist.lo' libtool=yes @AMDEPBACKSLASH@
598 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
599 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
600
601 libltdlc_la-preopen.lo: loaders/preopen.c
602 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-preopen.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-preopen.Tpo -c -o libltdlc_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
603 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-preopen.Tpo $(DEPDIR)/libltdlc_la-preopen.Plo
604 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/preopen.c' object='libltdlc_la-preopen.lo' libtool=yes @AMDEPBACKSLASH@
605 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
606 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
607
608 libltdlc_la-lt__alloc.lo: lt__alloc.c
609 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-lt__alloc.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-lt__alloc.Tpo -c -o libltdlc_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
610 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-lt__alloc.Tpo $(DEPDIR)/libltdlc_la-lt__alloc.Plo
611 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt__alloc.c' object='libltdlc_la-lt__alloc.lo' libtool=yes @AMDEPBACKSLASH@
612 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
613 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
614
615 libltdlc_la-lt_dlloader.lo: lt_dlloader.c
616 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-lt_dlloader.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-lt_dlloader.Tpo -c -o libltdlc_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
617 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-lt_dlloader.Tpo $(DEPDIR)/libltdlc_la-lt_dlloader.Plo
618 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt_dlloader.c' object='libltdlc_la-lt_dlloader.lo' libtool=yes @AMDEPBACKSLASH@
619 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
620 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
621
622 libltdlc_la-lt_error.lo: lt_error.c
623 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-lt_error.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-lt_error.Tpo -c -o libltdlc_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
624 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-lt_error.Tpo $(DEPDIR)/libltdlc_la-lt_error.Plo
625 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt_error.c' object='libltdlc_la-lt_error.lo' libtool=yes @AMDEPBACKSLASH@
626 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
627 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
628
629 libltdlc_la-ltdl.lo: ltdl.c
630 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-ltdl.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-ltdl.Tpo -c -o libltdlc_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
631 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-ltdl.Tpo $(DEPDIR)/libltdlc_la-ltdl.Plo
632 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='ltdl.c' object='libltdlc_la-ltdl.lo' libtool=yes @AMDEPBACKSLASH@
633 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
634 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
635
636 libltdlc_la-slist.lo: slist.c
637 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-slist.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-slist.Tpo -c -o libltdlc_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
638 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-slist.Tpo $(DEPDIR)/libltdlc_la-slist.Plo
639 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='slist.c' object='libltdlc_la-slist.lo' libtool=yes @AMDEPBACKSLASH@
640 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
641 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
642
643 load_add_on.lo: loaders/load_add_on.c
644 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT load_add_on.lo -MD -MP -MF $(DEPDIR)/load_add_on.Tpo -c -o load_add_on.lo `test -f 'loaders/load_add_on.c' || echo '$(srcdir)/'`loaders/load_add_on.c
645 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/load_add_on.Tpo $(DEPDIR)/load_add_on.Plo
646 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/load_add_on.c' object='load_add_on.lo' libtool=yes @AMDEPBACKSLASH@
647 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
648 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o load_add_on.lo `test -f 'loaders/load_add_on.c' || echo '$(srcdir)/'`loaders/load_add_on.c
649
650 loadlibrary.lo: loaders/loadlibrary.c
651 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT loadlibrary.lo -MD -MP -MF $(DEPDIR)/loadlibrary.Tpo -c -o loadlibrary.lo `test -f 'loaders/loadlibrary.c' || echo '$(srcdir)/'`loaders/loadlibrary.c
652 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/loadlibrary.Tpo $(DEPDIR)/loadlibrary.Plo
653 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/loadlibrary.c' object='loadlibrary.lo' libtool=yes @AMDEPBACKSLASH@
654 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
655 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o loadlibrary.lo `test -f 'loaders/loadlibrary.c' || echo '$(srcdir)/'`loaders/loadlibrary.c
656
657 shl_load.lo: loaders/shl_load.c
658 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT shl_load.lo -MD -MP -MF $(DEPDIR)/shl_load.Tpo -c -o shl_load.lo `test -f 'loaders/shl_load.c' || echo '$(srcdir)/'`loaders/shl_load.c
659 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/shl_load.Tpo $(DEPDIR)/shl_load.Plo
660 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/shl_load.c' object='shl_load.lo' libtool=yes @AMDEPBACKSLASH@
661 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
662 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o shl_load.lo `test -f 'loaders/shl_load.c' || echo '$(srcdir)/'`loaders/shl_load.c
663
664 mostlyclean-libtool:
665 -rm -f *.lo
666
667 clean-libtool:
668 -rm -rf .libs _libs
669 install-includeHEADERS: $(include_HEADERS)
670 @$(NORMAL_INSTALL)
671 @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
672 if test -n "$$list"; then \
673 echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
674 $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
675 fi; \
676 for p in $$list; do \
677 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
678 echo "$$d$$p"; \
679 done | $(am__base_list) | \
680 while read files; do \
681 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
682 $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
683 done
684
685 uninstall-includeHEADERS:
686 @$(NORMAL_UNINSTALL)
687 @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
688 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
689 dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
690 install-ltdlincludeHEADERS: $(ltdlinclude_HEADERS)
691 @$(NORMAL_INSTALL)
692 @list='$(ltdlinclude_HEADERS)'; test -n "$(ltdlincludedir)" || list=; \
693 if test -n "$$list"; then \
694 echo " $(MKDIR_P) '$(DESTDIR)$(ltdlincludedir)'"; \
695 $(MKDIR_P) "$(DESTDIR)$(ltdlincludedir)" || exit 1; \
696 fi; \
697 for p in $$list; do \
698 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
699 echo "$$d$$p"; \
700 done | $(am__base_list) | \
701 while read files; do \
702 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(ltdlincludedir)'"; \
703 $(INSTALL_HEADER) $$files "$(DESTDIR)$(ltdlincludedir)" || exit $$?; \
704 done
705
706 uninstall-ltdlincludeHEADERS:
707 @$(NORMAL_UNINSTALL)
708 @list='$(ltdlinclude_HEADERS)'; test -n "$(ltdlincludedir)" || list=; \
709 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
710 dir='$(DESTDIR)$(ltdlincludedir)'; $(am__uninstall_files_from_dir)
711
712 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
713 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
714 unique=`for i in $$list; do \
715 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
716 done | \
717 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
718 END { if (nonempty) { for (i in files) print i; }; }'`; \
719 mkid -fID $$unique
720 tags: TAGS
721
722 TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
723 $(TAGS_FILES) $(LISP)
724 set x; \
725 here=`pwd`; \
726 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
727 unique=`for i in $$list; do \
728 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
729 done | \
730 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
731 END { if (nonempty) { for (i in files) print i; }; }'`; \
732 shift; \
733 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
734 test -n "$$unique" || unique=$$empty_fix; \
735 if test $$# -gt 0; then \
736 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
737 "$$@" $$unique; \
738 else \
739 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
740 $$unique; \
741 fi; \
742 fi
743 ctags: CTAGS
744 CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
745 $(TAGS_FILES) $(LISP)
746 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
747 unique=`for i in $$list; do \
748 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
749 done | \
750 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
751 END { if (nonempty) { for (i in files) print i; }; }'`; \
752 test -z "$(CTAGS_ARGS)$$unique" \
753 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
754 $$unique
755
756 GTAGS:
757 here=`$(am__cd) $(top_builddir) && pwd` \
758 && $(am__cd) $(top_srcdir) \
759 && gtags -i $(GTAGS_ARGS) "$$here"
760
761 cscopelist: $(HEADERS) $(SOURCES) $(LISP)
762 list='$(SOURCES) $(HEADERS) $(LISP)'; \
763 case "$(srcdir)" in \
764 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
765 *) sdir=$(subdir)/$(srcdir) ;; \
766 esac; \
767 for i in $$list; do \
768 if test -f "$$i"; then \
769 echo "$(subdir)/$$i"; \
770 else \
771 echo "$$sdir/$$i"; \
772 fi; \
773 done >> $(top_builddir)/cscope.files
774
775 distclean-tags:
776 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
777
778 distdir: $(DISTFILES)
779 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
780 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
781 list='$(DISTFILES)'; \
782 dist_files=`for file in $$list; do echo $$file; done | \
783 sed -e "s|^$$srcdirstrip/||;t" \
784 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
785 case $$dist_files in \
786 */*) $(MKDIR_P) `echo "$$dist_files" | \
787 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
788 sort -u` ;; \
789 esac; \
790 for file in $$dist_files; do \
791 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
792 if test -d $$d/$$file; then \
793 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
794 if test -d "$(distdir)/$$file"; then \
795 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
796 fi; \
797 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
798 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
799 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
800 fi; \
801 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
802 else \
803 test -f "$(distdir)/$$file" \
804 || cp -p $$d/$$file "$(distdir)/$$file" \
805 || exit 1; \
806 fi; \
807 done
808 check-am: all-am
809 check: $(BUILT_SOURCES)
810 $(MAKE) $(AM_MAKEFLAGS) check-am
811 all-am: Makefile $(LTLIBRARIES) $(HEADERS)
812 installdirs:
813 for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(ltdlincludedir)"; do \
814 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
815 done
816 install: $(BUILT_SOURCES)
817 $(MAKE) $(AM_MAKEFLAGS) install-am
818 install-exec: install-exec-am
819 install-data: install-data-am
820 uninstall: uninstall-am
821
822 install-am: all-am
823 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
824
825 installcheck: installcheck-am
826 install-strip:
827 if test -z '$(STRIP)'; then \
828 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
829 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
830 install; \
831 else \
832 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
833 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
834 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
835 fi
836 mostlyclean-generic:
837 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
838
839 clean-generic:
840 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
841
842 distclean-generic:
843 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
844 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
845
846 maintainer-clean-generic:
847 @echo "This command is intended for maintainers to use"
848 @echo "it deletes files that may require special tools to rebuild."
849 -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
850 clean: clean-am
851
852 clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
853 clean-noinstLTLIBRARIES mostlyclean-am
854
855 distclean: distclean-am
856 -rm -rf ./$(DEPDIR)
857 -rm -f Makefile
858 distclean-am: clean-am distclean-compile distclean-generic \
859 distclean-tags
860
861 dvi: dvi-am
862
863 dvi-am:
864
865 html: html-am
866
867 html-am:
868
869 info: info-am
870
871 info-am:
872
873 install-data-am: install-includeHEADERS install-ltdlincludeHEADERS
874
875 install-dvi: install-dvi-am
876
877 install-dvi-am:
878
879 install-exec-am: install-libLTLIBRARIES
880
881 install-html: install-html-am
882
883 install-html-am:
884
885 install-info: install-info-am
886
887 install-info-am:
888
889 install-man:
890
891 install-pdf: install-pdf-am
892
893 install-pdf-am:
894
895 install-ps: install-ps-am
896
897 install-ps-am:
898
899 installcheck-am:
900
901 maintainer-clean: maintainer-clean-am
902 -rm -rf ./$(DEPDIR)
903 -rm -f Makefile
904 maintainer-clean-am: distclean-am maintainer-clean-generic
905
906 mostlyclean: mostlyclean-am
907
908 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
909 mostlyclean-libtool
910
911 pdf: pdf-am
912
913 pdf-am:
914
915 ps: ps-am
916
917 ps-am:
918
919 uninstall-am: uninstall-includeHEADERS uninstall-libLTLIBRARIES \
920 uninstall-ltdlincludeHEADERS
921
922 .MAKE: all check install install-am install-strip
923
924 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
925 clean-libLTLIBRARIES clean-libtool clean-noinstLTLIBRARIES \
926 cscopelist ctags distclean distclean-compile distclean-generic \
927 distclean-libtool distclean-tags distdir dvi dvi-am html \
928 html-am info info-am install install-am install-data \
929 install-data-am install-dvi install-dvi-am install-exec \
930 install-exec-am install-html install-html-am \
931 install-includeHEADERS install-info install-info-am \
932 install-libLTLIBRARIES install-ltdlincludeHEADERS install-man \
933 install-pdf install-pdf-am install-ps install-ps-am \
934 install-strip installcheck installcheck-am installdirs \
935 maintainer-clean maintainer-clean-generic mostlyclean \
936 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
937 pdf pdf-am ps ps-am tags uninstall uninstall-am \
938 uninstall-includeHEADERS uninstall-libLTLIBRARIES \
939 uninstall-ltdlincludeHEADERS
940
941
942 # We need the following in order to create an <argz.h> when the system
943 # doesn't have one that works with the given compiler.
944 all-local $(lib_OBJECTS): $(ARGZ_H)
945 argz.h: argz_.h
946 cp $(srcdir)/argz_.h $@-t
947 mv $@-t $@
948
949 # Tell versions [3.59,3.63) of GNU make to not export all variables.
950 # Otherwise a system limit (for SysV at least) may be exceeded.
951 .NOEXPORT:

svnadmin@ircd-hybrid.org
ViewVC Help
Powered by ViewVC 1.1.28